import Header from "@/Components/Header";
import React, { useEffect } from "react";
import Footer from "@/Components/Footer";
import InstagramFeeds from "@/Components/InstagramFeeds";
import ImageViewModal from "@/Components/ImageViewModal";
import { router, usePage, Link, Head } from "@inertiajs/react";
// import AdSense from "react-adsense";

import Icon from "@mdi/react";
import {
    mdiCameraOutline,
    mdiCheckOutline,
    mdiStarHalf,
    mdiStar,
    mdiCheckCircle,
    mdiCheckCircleOutline,
    mdiPlus,
    mdiMinus,
    mdiChevronRight,
    mdiCalendar,
    mdiChevronLeft,
    mdiNaturePeople,
    mdiCurrencyBtc,
    mdiCurrencyUsd,
} from "@mdi/js";
import HomeCarousel from "@/Components/Carousel";
import FaqsHome from "@/Components/FaqsHome";
// import InArticleAd from "@/Components/GoogleAds/InArticleAds";

export default function Welcome() {
    const { packages, posts, auth } = usePage().props;
    useEffect(() => {}, []);
    const [open, setOpen] = React.useState(false);
    const [imageUrl, setImageUrl] = React.useState(null);
    const formatDate = (dateString) => {
        const date = new Date(dateString);
        const options = {
            year: "numeric",
            month: "short",
            day: "2-digit",
            hour: "numeric",
            minute: "2-digit",
            hour12: true,
        };
        return date.toLocaleDateString("en-US", options);
    };

    const showImageModal = (url) => {
        setImageUrl(url);
    };

    return (
        <div>
            <Head title="Explore East Africa's Adventure" />

            {/* <ImageViewModal
                    open={open}
                    image={imageUrl}
                    handleClose={() => {
                        setOpen(false);
                        setImageUrl(null);
                    }}
                /> */}
            {/*========== HEADER STYLE ONE START ==========*/}
            <Header />
            {/*========== HEADER STYLE ONE END ==========*/}
            {/*========== HERO STYLE ONE START ==========*/}
            <div class="hero_style__two relative">
                <div class="swiper hero-slider-twoo">
                    <div
                        className="swiper-container relative"
                        x-ref="container"
                    >
                        <div className="absolute top-0 left-0 w-full h-full flex items-center bg-muted-900/30 z-20"></div>
                        <HomeCarousel />
                        <div className="swiper-caption absolute bottom-0 right-0 w-full max-w-sm border border-muted-800 bg-muted-900/80 hover:bg-muted-900 text-white z-30 transition-colors duration-300"></div>
                    </div>
                </div>
                <p className="regular-text-v1 mt-[14px] text-center md:mx-20 mt-5">
                    Are you looking for a rewarding safari destination? A
                    Tanzania safari is a must-try safari package. Tanzania
                    offers memorable safari experiences to its visitors. The
                    country has a peaceful atmosphere free from civil unrest,
                    not to mention a friendly climate. It offers authentic
                    safari experiences to visitors who choose to spend their
                    holidays in its spectacular destinations. Tanzania is home
                    to a collection of tourist attractions. They include
                    spectacular wildlife destinations, breathtaking mountains,
                    vibrant cultures, and exquisite white sand beaches, among
                    others. Serengeti National Park and volcanoes like Mount
                    Kilimanjaro expose you to a paradise of adventures in
                    Africa.
                </p>
                <div className="container mt-8">
                    <div className="text-center pb-5">
                        <h3 className="section-sub-title-v1 text-2xl">
                            Why choose Tanzania?
                        </h3>
                        {/* <h2 className="section-title-v1">
                            Our Popular Tours Type
                        </h2> */}
                    </div>

                    <p className="regular-text-v1 mt-[14px] text-center md:mx-20 mt-5">
                         With hundreds of countries available for selection, you
                        may be wondering why you should choose Tanzania. Relax;
                        we have you covered Wildlife. Tanzania is home to
                        diverse wildlife, including the Big Five and big cats.
                        The world’s largest population of lions is in Tanzania.
                        The biggest mammal migration on earth is also in
                        Tanzania, and there are a lot more. So, you have every
                        reason to visit Tanzania if you are interested in seeing
                        wildlife Culture.
                        <br /> Tanzania is home to over 120 tribes. This makes
                        it a cultural spot in Africa. You will meet with
                        wonderful tribes, like the Maasai and others. Favorable
                        climate and peace. Tanzania is home to a friendly
                        climate and a politically neutral setting that attracts
                        thousands of visitors.
                    </p>
                </div>
            </div>

            {/*========== TOUR CATEGIRY STYLE ONE START==========*/}
            <div className="tour_type_style__one lg:pt-15 pt-10 relative z-1">
                <div className="absolute top-[10%] left-[2%] max-w-[9%] z-minus lg:inline-block hidden">
                    <img
                        src="/assets/images/illustration/leaf-illustration.png"
                        alt="leaf"
                    />
                </div>
                <div className="container">
                    <div className="text-center lg:pb-[60px] pb-[40px]">
                        <h5 className="section-sub-title-v1">
                            Travel Category
                        </h5>
                        <h2 className="section-title-v1">
                            Our Popular Tours Type
                        </h2>
                    </div>
                    <div className="grid lg:grid-cols-4 md:grid-cols-2 gap-base">
                        <div className="sm:text-left text-center wow fadeInUp">
                            <img
                                src="/assets/images/icons/t1-1.svg"
                                alt="icon"
                                className="lg:max-w-[80px] max-w-[60px] sm:mx-0 mx-auto"
                            />
                            <h4 className="card-title-alpha lg:mt-6 mt-4">
                                <Link href="#">Safari Tours</Link>
                            </h4>
                            <h5 className="font-sans font-medium text-md text-primary-1 mt-1">
                                10 Tours+
                            </h5>
                            <p className="regular-text-v1 !text-[17px] mt-1 !leading-1.6">
                                Explore thrilling adventures in stunning
                                locations.
                            </p>
                        </div>
                        <div
                            className="sm:text-left text-center wow fadeInUp"
                            data-wow-delay="0.2s"
                        >
                            <img
                                src="/assets/images/icons/t1-2.svg"
                                alt="icon"
                                className="lg:max-w-[80px] max-w-[60px] sm:mx-0 mx-auto"
                            />
                            <h4 className="card-title-alpha lg:mt-6 mt-4">
                                <Link href="#">Luxury Tour</Link>
                            </h4>
                            <h5 className="font-sans font-medium text-md text-primary-1 mt-1">
                                10 Tours+
                            </h5>
                            <p className="regular-text-v1 !text-[17px] mt-1 !leading-1.6">
                                Experience luxurious cruises with breathtaking
                                views of zanzibar.
                            </p>
                        </div>
                        <div
                            className="sm:text-left text-center wow fadeInUp"
                            data-wow-delay="0.4s"
                        >
                            <img
                                src="/assets/images/icons/t1-3.svg"
                                alt="icon"
                                className="lg:max-w-[80px] max-w-[60px] sm:mx-0 mx-auto"
                            />
                            <h4 className="card-title-alpha lg:mt-6 mt-4">
                                <Link href="#">Trekking/Climbing Tours</Link>
                            </h4>
                            <h5 className="font-sans font-medium text-md text-primary-1 mt-1">
                                10 Tours+
                            </h5>
                            <p className="regular-text-v1 !text-[17px] mt-1 !leading-1.6">
                                Embark on exciting hiking adventures in scenic
                                landscapes of mount Kilimanjaro.
                            </p>
                        </div>
                        <div
                            className="sm:text-left text-center wow fadeInUp"
                            data-wow-delay="0.6s"
                        >
                            <img
                                src="/assets/images/icons/t1-4.svg"
                                alt="icon"
                                className="lg:max-w-[80px] max-w-[60px] sm:mx-0 mx-auto"
                            />
                            <h4 className="card-title-alpha lg:mt-6 mt-4">
                                <Link href="#">Honeymoon Tour</Link>
                            </h4>
                            <h5 className="font-sans font-medium text-md text-primary-1 mt-1">
                                5 Tours+
                            </h5>
                            <p className="regular-text-v1 !text-[17px] mt-1 !leading-1.6">
                                Create unforgettable memories on your romantic
                                honeymoon getaway.
                            </p>
                        </div>
                    </div>
                </div>
            </div>
            <div className="container mt-10">
                <div className="text-center  pb-6">
                    <h5 className="section-sub-title-v1">Best Time</h5>
                    <h2 className="section-title-v1">
                        Best Time to Visit Tanzania
                    </h2>
                </div>
                <p className="regular-text-v1 mt-[14px] text-center md:mx-20 mt-5">
                    The best time is during the dry season. This season
                    commences from June to October. During this time, the
                    country does not receive heavy rains. Wildlife safaris are
                    more rewarding in the dry season since the trails are easily
                    passable. There is no mud or slippery surface on the
                    designated trails. The grass is short, so you will see
                    wildlife with ease.
                    <br /> In the dry season, animals congregate at the few
                    water sources available. Hence, wildlife viewing is very
                    easy. However, due to strong competition for accommodations,
                    the prices of the best Tanzania safari packages go up.
                    Hiking higher mountains like Mount Kilimanjaro and Mount
                    Meru is easy in the dry season. The trails are dry and rains
                    will not frequently disturb you. Visiting Tanzania in the
                    rainy season is also possible. A few challenges will disturb
                    you, <br />
                    like rains, slippery roads, the closure of some lodges, and
                    plant coverage. You will, however, enjoy secluded safaris
                    without breaking the bank. The wet season is perfect for
                    bird-watching safaris since most species of birds are in
                    their breeding season.
                </p>
            </div>
            {/*========== TOUR CATEGIRY STYLE ONE END==========*/}
            {/*========== PACKAGE STYLE ONE START==========*/}
            <div className="package_style__one pt-12 pb-15 z-1 relative">
                <div className="absolute bottom-[10%] left-[2%] max-w-[13%] z-minus lg:inline-block hidden">
                    <img
                        src="/assets/images/illustration/leaf-illustration-2.png"
                        alt="leaf"
                    />
                </div>
                <div className="absolute top-[7%] right-0 max-w-[14%] z-minus lg:inline-block hidden">
                    <img
                        src="/assets/images/illustration/tree-illustration.png"
                        alt="leaf"
                    />
                </div>
                <div className="container">
                    <div className="text-center lg:pb-[60px] pb-[40px]">
                        <h5 className="section-sub-title-v1">
                            Ecplore Our Tours
                        </h5>
                        <h2 className="section-title-v1">
                            Browse New &amp; Most Popular Tours
                        </h2>
                    </div>
                    <div className="grid lg:grid-cols-3 md:grid-cols-2 grid-cols-1 gap-base">
                        {packages.map((item, index) => {
                            return (
                                <div
                                    key={index}
                                    className="group/card package-card-style-one wow fadeInUp"
                                >
                                    <div className="overflow-hidden relative">
                                        <Link
                                            href={`${
                                                auth.user
                                                    ? `/package/${item.name.replace(
                                                          /\s+/g,
                                                          "-"
                                                      )}/v${auth.user.id}/${
                                                          item.id
                                                      }`
                                                    : `/package/${item.name.replace(
                                                          /\s+/g,
                                                          "-"
                                                      )}/v${"00"}/${item.id}`
                                            }`}
                                        >
                                            <img
                                                src={`/${item.cover_image}`}
                                                alt={item.name}
                                                className="w-full group-hover/card:scale-105 h-56 duration-300"
                                            />
                                        </Link>
                                        {/* {item.has_discount == 1 && (
                                            <span className="absolute inline-block top-5 right-5 text-sm text-white rounded-full bg-[#219FFF] py-1 px-3">
                                                20% off
                                            </span>
                                        )} */}
                                    </div>
                                    <h3 className="card-title-alpha group-hover/card:text-primary-1 lg:mt-6 mt-5">
                                        <Link
                                            href={`${
                                                auth.user
                                                    ? `/package/${item.name.replace(
                                                          /\s+/g,
                                                          "-"
                                                      )}/v${auth.user.id}/${
                                                          item.id
                                                      }`
                                                    : `/package/${item.name.replace(
                                                          /\s+/g,
                                                          "-"
                                                      )}/v${"00"}/${item.id}`
                                            }`}
                                        >
                                            {item.name}
                                        </Link>
                                    </h3>
                                    <ul className="flex flex-wrap lg:text-[15px] text-[13px] font-medium text-dark-2 mt-4 package-feature">
                                        {item.max_people && (
                                            <li>
                                                <span className="text-primary-1">
                                                    {/* <i className="bi bi-people" /> */}
                                                    <Icon
                                                        path={mdiNaturePeople}
                                                        size={0.7}
                                                        className="text-black"
                                                    />
                                                </span>
                                                <span>
                                                    {item.max_people < 10
                                                        ? "0" + item.max_people
                                                        : item.max_people}{" "}
                                                    People
                                                </span>
                                            </li>
                                        )}
                                        <li>
                                            <span className="text-primary-1">
                                                <Icon
                                                    path={mdiCalendar}
                                                    size={0.7}
                                                    className="text-primary-1"
                                                />{" "}
                                            </span>
                                            <span>
                                                {" "}
                                                {item.no_of_days < 10
                                                    ? "0" + item.no_of_days
                                                    : item.max_people}{" "}
                                                Days
                                            </span>
                                        </li>
                                        {item.max_people && (
                                            <li>
                                                <span className="text-primary-1">
                                                    <Icon
                                                        path={mdiCurrencyUsd}
                                                        size={0.7}
                                                        className="text-primary-1"
                                                    />
                                                </span>
                                                <span>
                                                    From{" "}
                                                    <span className="text-primary-1 font-bold">
                                                        ${item.max_people}
                                                    </span>
                                                </span>
                                            </li>
                                        )}
                                    </ul>
                                    <Link
                                        href={`${
                                            auth.user
                                                ? `/package/${item.name.replace(
                                                      /\s+/g,
                                                      "-"
                                                  )}/v${auth.user.id}/${
                                                      item.id
                                                  }`
                                                : `/package/${item.name.replace(
                                                      /\s+/g,
                                                      "-"
                                                  )}/v${"00"}/${item.id}`
                                        }`}
                                        // className="relative group"
                                        className="package-explore-btn group/btn"
                                    >
                                        <span className="mr-2">
                                            Explore Now
                                        </span>
                                        <svg
                                            className="group-hover/btn:translate-x-2 duration-200"
                                            width={27}
                                            height={14}
                                            viewBox="0 0 27 14"
                                            fill="none"
                                            xmlns="http://www.w3.org/2000/svg"
                                        >
                                            <path
                                                d="M0.217443 6.25H18.4827C18.6276 6.25 18.7001 6.30263 18.7001 6.40789V7.59211C18.7001 7.69737 18.6276 7.75 18.4827 7.75H0.217443C0.0724811 7.75 0 7.69737 0 7.59211V6.40789C0 6.30263 0.0724811 6.25 0.217443 6.25Z"
                                                fill="currentColor"
                                            />
                                            <path
                                                d="M20.7001 12.28L25.0467 7.9333C25.5601 7.41997 25.5601 6.57997 25.0467 6.06664L20.7001 1.71997"
                                                stroke="currentColor"
                                                strokeWidth="1.5"
                                                strokeMiterlimit={10}
                                                strokeLinecap="round"
                                                strokeLinejoin="round"
                                            />
                                        </svg>
                                    </Link>
                                </div>
                            );
                        })}

                        {/* <div
                            className=" bg-center w-full bg-no-repeat bg-cover text-center relative p-base flex items-center justify-center wow fadeInUp"
                            data-wow-delay="0.4s"
                        >
                            <AdSense.Google
                                    client="ca-pub-4460213849771600"
                                    slot="8352857413"
                                    style={{
                                        display: "block",
                                        textAlign: "center",
                                        width: 300,
                                        height: 300,
                                    }}
                                    layout="in-article"
                                    format="fluid"
                                /> 
                        </div> */}
                        <div
                            className="bg-primary-1 bg-[url('../images/backgrounds/package-bg.png')] bg-center bg-no-repeat bg-cover text-center relative p-base flex items-center justify-center wow fadeInUp"
                            data-wow-delay="0.4s"
                        >
                            <div>
                                <h3 className="lg:text-3xl text-2xl leading-1.5 text-white font-medium">
                                    Book now and get 20% off
                                </h3>
                                <Link
                                    href="/packages"
                                    className="btn_primary__v1 border border-white mt-base"
                                >
                                    View More
                                </Link>
                            </div>
                        </div>
                    </div>
                    {/* <div className="h-48 mt-5 w-full  bg-no-repeat bg-cover text-center relative p-base flex items-center justify-center wow fadeInUp"></div> */}
                </div>
            </div>
            {/*========== PACKAGE STYLE ONE END==========*/}
            <div className="container">
                <div className="grid lg:grid-cols-d2 gap-base items-start">
                    {/* <div
                        className="relative wow fadeInLeft"
                        data-wow-delay="0.2s"
                    >
                        <img
                            src="/assets/images/about/about1-1.png"
                            alt="about-img"
                        />
                    </div> */}
                    <div className="div mt-16 md:mx-16">
                        <h5 className="section-sub-title-v1 text-center">
                            About Travellerswing Company
                        </h5>
                        <h2 className="section-title-v1 text-center">
                            About Us
                        </h2>
                        <div className="mt-7 xl:pl-24 lg:pl-20 relative before:content-[''] before:left-0 before:top-4 before:bg-[#d9d9d9] before:w-[10%] before:h-[1px] lg:before:absolute">
                            <div className="flex justify-between items-center">
                                <p className="regular-text-v1 w-3/4">
                                    TravellersWing is a Tanzanian-based tour
                                    company ready to open the superb wonders of
                                    Africa. Travellers Wing is a tour company
                                    founded by dedicated locals with our
                                    headquarters in Arusha, a bustling safari
                                    capital of Tanzania. Travellers Wing has
                                    positioned itself in a fantastic location
                                    that is easily reachable.
                                </p>
                                <div
                                    className="relative wow fadeInLeft w-1/4"
                                    data-wow-delay="0.2s"
                                >
                                    <img
                                        src="/assets/images/about/about1-1.png"
                                        alt="about-img"
                                    />
                                </div>
                            </div>
                            <h2 className="section-sub-title-v1 max-w-xl">
                                Our mission
                            </h2>

                            <p className="regular-text-v1">
                                Our mission is to maintain our commitment to
                                offering personalized services, great customer
                                service, and amazing safari experiences in East
                                Africa. We are committed to assisting tourists
                                to explore the untouched attractions in
                                Tanzania. Our values are eco-tourism,
                                conservation efforts, and local communities. We
                                offer luxurious tourist services without
                                compromising the future of the wonders of
                                Africa.
                            </p>
                            <h2 className="section-sub-title-v1 max-w-xl">
                                Our offices
                            </h2>

                            <p className="regular-text-v1">
                                Travellers Wing is currently based in Levolosi,
                                Arusha. Our office is open 7 days a week. We
                                also have 24/7 customer service answering
                                queries and providing personalized service.
                            </p>
                            <h2 className="section-sub-title-v1 max-w-xl">
                                Our team
                            </h2>

                            <p className="regular-text-v1">
                                Our team comprises passionate individuals with
                                solid experience crafting safari itineraries.
                                From experienced safari planners to friendly
                                safari guides, Travellers Wing is a team of
                                committed locals who will make your travel
                                experience unforgettable. Our guides are experts
                                at communicating with clients and have language
                                proficiencies in major languages, including
                                English, French, Spanish, and many more.
                            </p>
                            <h2 className="section-sub-title-v1 max-w-xl">
                                Destinations
                            </h2>

                            <p className="regular-text-v1">
                                Travellers Wing opens a door to cultural
                                exploration. Learn something new like languages,
                                dishes, and dresses as you visit local
                                communities. Our country, Tanzania is home to
                                over 120 tribes, each with different cultural
                                practices. We are happy to be the tour company
                                offering such an experience. Our icon is
                                Serengeti National Park – the world’s famous
                                wildlife sanctuary. We are happy to be part of
                                the Great Migration as we take you to witness
                                this spectacle. We are also happy to take you up
                                the snow-capped Mount Kilimanjaro, Africa’s
                                highest peak.
                                <br /> Ngorongoro Crater is another icon that we
                                at Travellers Wing celebrate. We are also
                                delighted to introduce our clients to exquisite
                                beaches – a serene place for relaxation. We are
                                also happy to take you to various Tanzania
                                safari destinations and introduce you to the
                                best Tanzania safaris.
                            </p>

                            <h5 className="font-sans text-dark-1 text-md font-medium mt-4">
                                Contact our Travel Experts at
                                <p className="font-sans mt-4 ">
                                    Whatsapp:{" "}
                                    <span>
                                        <a
                                            className=" text-primary-1"
                                            target="_blank"
                                            href="https://wa.me/+255764294329"
                                        >
                                            +255 764 294 329
                                        </a>
                                    </span>
                                </p>
                                <p className="font-sans mt-4 flex">
                                    Email:
                                    <a
                                        className="ml-2 text-primary-1"
                                        href="mailto:info@travellerswing.com"
                                        target="_blank"
                                    >
                                        info@travellerswing.com
                                    </a>
                                </p>
                            </h5>
                        </div>
                        <ul className="pt-6 lg:text-md text-base">
                            <li className="flex items-center font-sans text-dark-3 mt-4">
                                <div className="text-primary-1 flex-shrink-0 text-2md">
                                    <Icon
                                        path={mdiCheckCircleOutline}
                                        size={1}
                                        className="text-primary-1 text-center hover:text-white"
                                    />
                                </div>
                                <span className="ml-3">
                                    All destinations and activities are
                                    carefully selected by us.
                                </span>
                            </li>
                            <li className="flex items-center font-sans text-dark-3 mt-4">
                                <div className="text-primary-1 flex-shrink-0 text-2md">
                                    <Icon
                                        path={mdiCheckCircleOutline}
                                        size={1}
                                        className="text-primary-1 text-center hover:text-white"
                                    />
                                </div>
                                <span className="ml-3">
                                    We are a highly acclaimed travel agency.
                                </span>
                            </li>
                            <li className="flex items-center font-sans text-dark-3 mt-4">
                                <div className="text-primary-1 flex-shrink-0 text-2md">
                                    <Icon
                                        path={mdiCheckCircleOutline}
                                        size={1}
                                        className="text-primary-1 text-center hover:text-white"
                                    />
                                </div>
                                <span className="ml-3">
                                    Trusted by over 4400+ satisfied customers.
                                </span>
                            </li>
                        </ul>
                        <div className="mt-10">
                            <a href="/contact-us" className="btn_primary__v1">
                                Contact Us
                                <svg
                                    width={20}
                                    height={20}
                                    viewBox="0 0 20 20"
                                    fill="none"
                                    xmlns="http://www.w3.org/2000/svg"
                                >
                                    <path
                                        d="M7.42505 16.5999L12.8584 11.1666C13.5 10.5249 13.5 9.4749 12.8584 8.83324L7.42505 3.3999"
                                        stroke="currentColor"
                                        strokeWidth="1.5"
                                        strokeMiterlimit={10}
                                        strokeLinecap="round"
                                        strokeLinejoin="round"
                                    />
                                </svg>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
            {/*========== FEATURED PACKAGE STYLE ONE START==========*/}
            <div className="featured_package__style lg:pt-30 pt-24">
                <div className="container">
                    <div className="text-center lg:pb-[60px] pb-[40px]">
                        <h5 className="section-sub-title-v1">
                            Featured Destinations
                        </h5>
                        <h2 className="section-title-v1">
                            Explore Our Featured Packages
                        </h2>
                    </div>
                </div>
                <div className="px-3 overflow-hidden">
                    <div className="flex 2xl:gap-x-12 gap-base lg:items-center col-span-10 2xl:ml-right-container lg:flex-row flex-col">
                        <div className="xl:max-w-xl lg:max-w-lg shrink-0 order-2 lg:order-1">
                            <h5 className="text-2md text-primary-1 leading-1.5 font-sans font-bold">
                                Starting at $1,200
                            </h5>
                            <h3 className="font-serif font-medium lg:text-xl text-lg leading-1.35 mt-2 text-dark-1">
                                Mt. Kilimanjaro
                            </h3>
                            <p className="text-dark-2 leading-1.7 font-medium mt-5">
                                Join us as we explore the vibrant East-Africa
                                culture!
                            </p>
                            <p className="regular-text-v1 mt-[14px]">
                                Immerse yourself in the rich cultural tapestry
                                of Africa during this exciting tour. Our
                                experienced guides will lead you through
                                historic landmarks, breathtaking landscapes, and
                                lively festivals, ensuring an unforgettable
                                experience.
                            </p>
                            <ul className="pt-2 lg:text-md text-base">
                                <li className="flex items-center font-sans text-dark-3 mt-4">
                                    <div className="text-primary-1 text-2md flex-shrink-0">
                                        <Icon
                                            path={mdiCheckCircleOutline}
                                            size={0.8}
                                            className="text-primary-1 text-center mr-2"
                                        />
                                    </div>
                                    <span className="ml-3">
                                        Professional Tour Guide
                                    </span>
                                </li>
                                <li className="flex items-center font-sans text-dark-3 mt-4">
                                    <div className="text-primary-1 text-2md flex-shrink-0">
                                        <Icon
                                            path={mdiCheckCircleOutline}
                                            size={0.8}
                                            className="text-primary-1 text-center mr-2"
                                        />
                                    </div>
                                    <span className="ml-3">
                                        Transportation provided
                                    </span>
                                </li>
                                <li className="flex items-center font-sans text-dark-3 mt-4">
                                    <div className="text-primary-1 text-2md flex-shrink-0">
                                        <Icon
                                            path={mdiCheckCircleOutline}
                                            size={0.8}
                                            className="text-primary-1 text-center mr-2"
                                        />
                                    </div>
                                    <span className="ml-3">
                                        All-inclusive package
                                    </span>
                                </li>
                            </ul>
                            <div className="mt-12">
                                <Link
                                    href="/package/SERENGETI-PARK-&-NGORONGORO-CRATER-(MARATHON-SAFARI)./v00/11"
                                    className="btn_primary__v1"
                                >
                                    Book Now
                                    <svg
                                        width={20}
                                        height={20}
                                        viewBox="0 0 20 20"
                                        fill="none"
                                        xmlns="http://www.w3.org/2000/svg"
                                    >
                                        <path
                                            d="M7.42505 16.5999L12.8584 11.1666C13.5 10.5249 13.5 9.4749 12.8584 8.83324L7.42505 3.3999"
                                            stroke="currentColor"
                                            strokeWidth="1.5"
                                            strokeMiterlimit={10}
                                            strokeLinecap="round"
                                            strokeLinejoin="round"
                                        />
                                    </svg>
                                </Link>
                            </div>
                        </div>
                        <div className="order-1 lg:order-2 fadeInRight wow">
                            <img
                                // src="/assets/images/packages/fp1-1.webp"
                                src="/assets/images/about/kilimanjaro-1.jpeg"
                                alt="fp"
                            />
                        </div>
                    </div>
                    <div className="flex justify-end 2xl:gap-x-12 gap-base mt-17 lg:items-center col-span-10 2xl:mr-right-container lg:flex-row flex-col">
                        <div className="wow fadeInLeft">
                            <img
                                // src="/assets/images/packages/fp1-2.webp"
                                src="/assets/images/about/manyara-2.jpeg"
                                alt="fp"
                            />
                        </div>
                        <div className="xl:max-w-xl lg:max-w-lg shrink-0">
                            <h5 className="text-2md text-primary-1 leading-1.5 font-sans font-bold">
                                Starting at $1,200
                            </h5>
                            <h3 className="font-serif font-medium lg:text-xl text-lg leading-1.35 mt-2 text-dark-1">
                                Special Offer: Enjoy a 15% Discount on Your
                                Reservations
                            </h3>
                            <p className="text-dark-2 leading-1.7 font-medium mt-5">
                                Join us as we explore the vibrant East-Africa
                                culture and celebrate !
                            </p>
                            <p className="lg:text-base text-sm font-sans text-dark-3 leading-1.9 mt-[14px]">
                                Immerse yourself in the rich cultural tapestry
                                of East-Africa during this exciting tour. Our
                                experienced guides will lead you through
                                historic landmarks, breathtaking landscapes, and
                                lively festivals, ensuring an unforgettable
                                experience.
                            </p>
                            <ul className="pt-2 lg:text-md text-base">
                                <li className="flex items-center font-sans text-dark-3 mt-4">
                                    <div className="text-primary-1 text-2md flex-shrink-0">
                                        <Icon
                                            path={mdiCheckCircleOutline}
                                            size={0.8}
                                            className="text-primary-1 text-center mr-2"
                                        />
                                    </div>
                                    <span className="ml-3">
                                        Overnight Cruise with Tours, Lunch &
                                        Dinner
                                    </span>
                                </li>
                                <li className="flex items-center font-sans text-dark-3 mt-4">
                                    <div className="text-primary-1 text-2md flex-shrink-0">
                                        <Icon
                                            path={mdiCheckCircleOutline}
                                            size={0.8}
                                            className="text-primary-1 text-center mr-2"
                                        />
                                    </div>
                                    <span className="ml-3">
                                        Return Airport Transfers in AC Vehicle
                                    </span>
                                </li>
                                <li className="flex items-center font-sans text-dark-3 mt-4">
                                    <div className="text-primary-1 text-2md flex-shrink-0">
                                        {/*  <Icon
                                                                                path={
                                                                                    mdiCheckCircleOutline
                                                                                }
                                                                                size={
                                                                                    0.8
                                                                                }
                                                                                className="text-primary-1 text-center mr-2"
                                                                            /> */}
                                        <Icon
                                            path={mdiCheckCircleOutline}
                                            size={0.8}
                                            className="text-primary-1 text-center mr-2"
                                        />
                                    </div>
                                    <span className="ml-3">
                                        Professional Tour Guides & Drivers
                                    </span>
                                </li>
                            </ul>
                            <div className="mt-12">
                                <Link
                                    href="/package/ARUSHA-PARK,-TARANGIRE-PARK-AND-LAKE-MANYARA-PARK./v00/10"
                                    className="btn_primary__v1"
                                >
                                    Book Now
                                    <svg
                                        width={20}
                                        height={20}
                                        viewBox="0 0 20 20"
                                        fill="none"
                                        xmlns="http://www.w3.org/2000/svg"
                                    >
                                        <path
                                            d="M7.42505 16.5999L12.8584 11.1666C13.5 10.5249 13.5 9.4749 12.8584 8.83324L7.42505 3.3999"
                                            stroke="currentColor"
                                            strokeWidth="1.5"
                                            strokeMiterlimit={10}
                                            strokeLinecap="round"
                                            strokeLinejoin="round"
                                        />
                                    </svg>
                                </Link>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            {/*========== FEATURED PACKAGE STYLE ONE END==========*/}
            {/*========== TESTIMONIAL STYLE ONE START==========*/}
            <div className="testimonial_style__one z-1 lg:pt-30 pt-24 relative">
                <div className="absolute top-[5%] left-[1%] max-w-[9%] z-minus lg:inline-block hidden">
                    <img
                        src="/assets/images/illustration/bird-illustration.png"
                        alt="leaf"
                    />
                </div>
                <div className="container relative">
                    <div className="text-center lg:pb-[50px] pb-[30px]">
                        <h5 className="section-sub-title-v1">Testimonial</h5>
                        <h2 className="section-title-v1">
                            What Our Travelers Say
                        </h2>
                    </div>
                    <div className="swiper testimonial-slider-one">
                        <div className="swiper-wrapper">
                            <div className="swiper-slide">
                                <div className="max-w-[970px] text-center mx-auto">
                                    <p className="font-serif text-2md lg:text-[25px] text-dark-2 leading-1.8 italic">
                                        I had an incredible experience. The team
                                        was extremely helpful in planning my
                                        trip and ensuring everything went
                                        smoothly. I highly recommend their
                                        services!
                                    </p>
                                    <h5 className="lg:text-[25px] text-2md font-semibold text-dark-1 mt-base">
                                        Johan Martin Sr
                                    </h5>
                                    <div className="relative inline-block mt-6">
                                        <div className="h-[38px] w-[38px] bg-primary-1 rounded-full border-2 border-white absolute top-0 left-0 -translate-x-1/3 text-white flex justify-center items-center">
                                            <svg
                                                width={18}
                                                height={16}
                                                viewBox="0 0 18 16"
                                                fill="none"
                                                xmlns="http://www.w3.org/2000/svg"
                                            >
                                                <path
                                                    d="M4.95 0.184651C4.90078 0.240901 3.97266 1.40457 2.88633 2.77215C1.32187 4.74793 0.914062 5.28582 0.914062 5.36317C0.914062 5.44754 0.966797 5.50731 1.21992 5.71824C1.39219 5.85535 1.75078 6.19637 2.02148 6.46707C3.11836 7.5745 3.76172 8.65731 3.98672 9.76473C4.06055 10.1163 4.06055 10.8089 3.98672 11.2378C3.76875 12.5245 2.91445 14.0679 1.71563 15.3475C1.51523 15.5585 1.44141 15.6639 1.44141 15.7307C1.44141 15.9593 1.60313 15.9628 2.12344 15.7448C3.6 15.1225 5.08359 14.1347 6.16992 13.0448C7.57617 11.6386 8.39883 10.0987 8.73984 8.24598C8.83828 7.72215 8.83125 6.72723 8.72578 6.21395C8.32149 4.21707 7.2 2.16395 5.58984 0.465901C5.18906 0.0440264 5.11172 0.0123854 4.95 0.184651Z"
                                                    fill="currentColor"
                                                />
                                                <path
                                                    d="M13.2117 0.184724C13.1625 0.240973 12.2344 1.40464 11.148 2.77222C9.58359 4.748 9.17578 5.2859 9.17578 5.36324C9.17578 5.44761 9.22852 5.50738 9.48516 5.71832C9.65391 5.85543 10.0125 6.19644 10.2832 6.46714C11.3801 7.57457 12.0234 8.65738 12.2484 9.7648C12.3223 10.1164 12.3223 10.8089 12.2484 11.2378C12.1816 11.6211 12.0023 12.2117 11.8125 12.6476C11.4434 13.4984 10.698 14.5882 9.93164 15.3968C9.76992 15.5691 9.70313 15.6675 9.70313 15.7343C9.70313 15.9593 9.86484 15.9628 10.3852 15.7449C12.2098 14.9785 14.0449 13.6355 15.1594 12.2539C15.968 11.2519 16.5832 10.032 16.8715 8.86129C17.0297 8.22144 17.0648 7.92965 17.0648 7.2441C17.0648 6.64996 17.0578 6.52691 16.9699 6.13316C16.5445 4.14332 15.4441 2.14293 13.8516 0.465974C13.4508 0.0440989 13.3734 0.0124578 13.2117 0.184724Z"
                                                    fill="currentColor"
                                                />
                                            </svg>
                                        </div>
                                        <img
                                            src="/assets/images/touriest/testi-avater.webp"
                                            alt="revierer "
                                            className="h-20 w-20 object-cover rounded-full"
                                        />
                                    </div>
                                </div>
                            </div>
                            <div className="swiper-slide">
                                <div className="max-w-[970px] text-center mx-auto">
                                    <p className="font-serif text-2md lg:text-[25px] text-dark-2 leading-1.8 italic">
                                        Nullam orci dui, dictum et magna
                                        sollicitudin, tempor blandit erat.
                                        Maecenas suscipit tellus sit amet augue
                                        placerat fringilla a id lacus. Fusce
                                        tincidunt in leo lacinia condimentum.
                                        Donec placerat, orci.
                                    </p>
                                    <h5 className="lg:text-[25px] text-2md font-semibold text-dark-1 mt-base">
                                        Johan Martin Sr
                                    </h5>
                                    <div className="relative inline-block mt-6">
                                        <div className="h-[38px] w-[38px] bg-primary-1 rounded-full border-2 border-white absolute top-0 left-0 -translate-x-1/3 text-white flex justify-center items-center">
                                            <svg
                                                width={18}
                                                height={16}
                                                viewBox="0 0 18 16"
                                                fill="none"
                                                xmlns="http://www.w3.org/2000/svg"
                                            >
                                                <path
                                                    d="M4.95 0.184651C4.90078 0.240901 3.97266 1.40457 2.88633 2.77215C1.32187 4.74793 0.914062 5.28582 0.914062 5.36317C0.914062 5.44754 0.966797 5.50731 1.21992 5.71824C1.39219 5.85535 1.75078 6.19637 2.02148 6.46707C3.11836 7.5745 3.76172 8.65731 3.98672 9.76473C4.06055 10.1163 4.06055 10.8089 3.98672 11.2378C3.76875 12.5245 2.91445 14.0679 1.71563 15.3475C1.51523 15.5585 1.44141 15.6639 1.44141 15.7307C1.44141 15.9593 1.60313 15.9628 2.12344 15.7448C3.6 15.1225 5.08359 14.1347 6.16992 13.0448C7.57617 11.6386 8.39883 10.0987 8.73984 8.24598C8.83828 7.72215 8.83125 6.72723 8.72578 6.21395C8.32149 4.21707 7.2 2.16395 5.58984 0.465901C5.18906 0.0440264 5.11172 0.0123854 4.95 0.184651Z"
                                                    fill="currentColor"
                                                />
                                                <path
                                                    d="M13.2117 0.184724C13.1625 0.240973 12.2344 1.40464 11.148 2.77222C9.58359 4.748 9.17578 5.2859 9.17578 5.36324C9.17578 5.44761 9.22852 5.50738 9.48516 5.71832C9.65391 5.85543 10.0125 6.19644 10.2832 6.46714C11.3801 7.57457 12.0234 8.65738 12.2484 9.7648C12.3223 10.1164 12.3223 10.8089 12.2484 11.2378C12.1816 11.6211 12.0023 12.2117 11.8125 12.6476C11.4434 13.4984 10.698 14.5882 9.93164 15.3968C9.76992 15.5691 9.70313 15.6675 9.70313 15.7343C9.70313 15.9593 9.86484 15.9628 10.3852 15.7449C12.2098 14.9785 14.0449 13.6355 15.1594 12.2539C15.968 11.2519 16.5832 10.032 16.8715 8.86129C17.0297 8.22144 17.0648 7.92965 17.0648 7.2441C17.0648 6.64996 17.0578 6.52691 16.9699 6.13316C16.5445 4.14332 15.4441 2.14293 13.8516 0.465974C13.4508 0.0440989 13.3734 0.0124578 13.2117 0.184724Z"
                                                    fill="currentColor"
                                                />
                                            </svg>
                                        </div>
                                        <img
                                            src="/assets/images/touriest/testi-avater-2.webp"
                                            alt="revierer "
                                            className="h-20 w-20 object-cover rounded-full"
                                        />
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            {/*========== TESTIMONIAL STYLE ONE END==========*/}
            {/*========== FAQ STYLE ONE START==========*/}
            <FaqsHome />

            {/*========== FAQ STYLE ONE END==========*/}
            {/*========== BLOG STYLE ONE START==========*/}
            <div className="blog_style_one relative z-1 lg:pt-30 pt-24">
                <div className="absolute top-[5%] left-[1%] max-w-[9%] z-minus lg:inline-block hidden">
                    <img
                        src="/assets/images/illustration/bird-illustration.png"
                        alt="leaf"
                    />
                </div>
                <div className="container">
                    <div className="text-center lg:pb-[60px] pb-[40px]">
                        <h5 className="section-sub-title-v1">Blog and News</h5>
                        <h2 className="section-title-v1">
                            Stay Update with Travel Tips!
                        </h2>
                    </div>
                    <div className="grid lg:grid-cols-3 md:grid-cols-2 grid-cols-1 gap-base">
                        {/* single blog card */}
                        {posts.map((item, index) => (
                            <Link
                                key={index}
                                href={`/blog/${item.id}/${item.title.replace(
                                    /\s+/g,
                                    "-"
                                )}`}
                                className="blog_card__one group wow fadeInUp"
                            >
                                <div className="overflow-hidden">
                                    <div>
                                        <img
                                            src={`/${item.image_cover}`}
                                            alt={item.title}
                                            className="w-full hover:scale-105 duration-300"
                                        />
                                    </div>
                                </div>
                                <div className="mt-6">
                                    <ul className="flex items-center text-[13px] font-medium text-dark-2">
                                        <li className="flex items-center relative first:pl-0 pl-2 pr-2 before:content-[''] before:absolute before:h-2/3 before:w-[1px] before:bg-dark-2 before:-translate-y-1/2 before:top-1/2 before:left-0 first:before:hidden">
                                            <Icon
                                                path={mdiCalendar}
                                                size={0.7}
                                                className="text-black"
                                            />
                                            <span className="ml-2">
                                                {formatDate(item.date)}
                                            </span>
                                        </li>
                                        <li className="flex items-center relative first:pl-0 pl-2 pr-2 before:content-[''] before:absolute before:h-2/3 before:w-[1px] before:bg-dark-2 before:-translate-y-1/2 before:top-1/2 before:left-0">
                                            {item.viewed_times + 2} View
                                        </li>
                                    </ul>
                                    <h3 className="card-title-alpha mt-4">
                                        <div>{item.title}</div>
                                    </h3>
                                    <div className="group ease-in hover:text-primary-1 duration-200 inline-flex items-center mt-4 lg:text-md text-base text-dark-1 font-medium">
                                        <span className="mr-2">Read More</span>
                                        <svg
                                            className="group-hover:translate-x-2 duration-200"
                                            width={27}
                                            height={14}
                                            viewBox="0 0 27 14"
                                            fill="none"
                                            xmlns="http://www.w3.org/2000/svg"
                                        >
                                            <path
                                                d="M0.217443 6.25H18.4827C18.6276 6.25 18.7001 6.30263 18.7001 6.40789V7.59211C18.7001 7.69737 18.6276 7.75 18.4827 7.75H0.217443C0.0724811 7.75 0 7.69737 0 7.59211V6.40789C0 6.30263 0.0724811 6.25 0.217443 6.25Z"
                                                fill="currentColor"
                                            />
                                            <path
                                                d="M20.7001 12.2802L25.0467 7.93355C25.5601 7.42021 25.5601 6.58021 25.0467 6.06688L20.7001 1.72021"
                                                stroke="currentColor"
                                                strokeWidth="1.5"
                                                strokeMiterlimit={10}
                                                strokeLinecap="round"
                                                strokeLinejoin="round"
                                            />
                                        </svg>
                                    </div>
                                </div>
                            </Link>
                        ))}
                    </div>
                </div>
            </div>
            {/*========== BLOG STYLE ONE END ==========*/}
            {/*========== INSTAGRAM FEED STYLE START ==========*/}
            {/* <InstagramFeeds /> */}
            {/*========== INSTAGRAM FEED STYLE END ==========*/}
            {/*========== FOOTER STYLE START ==========*/}
            <Footer />
            {/*========== FOOTER STYLE END ==========*/}
            {/* additional JS file */}
            {/* custom js file */}
        </div>
    );
}
